/**
 * Tankerkönig API
 * API for getting real time gas prices from https://creativecommons.tankerkoenig.de. Real time gas price data is available under open data/open source license even for commercial use. Currently only prices for Germany are available.
 *
 * OpenAPI spec version: 4.0.6
 * Contact: info@tankerkoenig.de
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { StationLastChange } from './stationLastChange';

export interface StationFuels { 
    category: StationFuels.CategoryEnum;
    name: string;
    price: number;
    lastChange?: StationLastChange;
}
export namespace StationFuels {
    export type CategoryEnum = 'diesel' | 'lpg' | 'gasoline' | 'cng';
    export const CategoryEnum = {
        Diesel: 'diesel' as CategoryEnum,
        Lpg: 'lpg' as CategoryEnum,
        Gasoline: 'gasoline' as CategoryEnum,
        Cng: 'cng' as CategoryEnum
    };
}